Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::SlotNode Class Reference

A node class for managing slots connected to Inti::G::Signal's. More...

`#include <inti/glib/signals.h>`

Inheritance diagram for Inti::G::SlotNode:

List of all members.

## Public Member Functions

- virtual void block ()
    Block signal emission to the slot until unblock is called.
- virtual void unblock ()
    Unblock the slot so signal emmissions can be received.
- virtual void disconnect ()
    Disconnect the slot. The slot will no longer recieve signal emissions.

## Detailed Description

A node class for managing slots connected to Inti::G::Signal's.

The documentation for this class was generated from the following file:

- glib/signals.h

Main Page - Footer